VARKON Version 1.15 1997-12-29

> ## lin_offs - Geometric procedure

> Creates a line
> Description
> Creates a line parallel (offset) to another line at a given constant distance. The new line gets the same length as the original line. What side of the old line the new line will use depends on the sign of the dist parameter, see below. The right side is what you would see to your right if you were standing in the beginning of the original line looking along in its sense of direction.
> Syntax
> lin_offs(id, ref, dist:attributes);

> REF | id;
> REF | ref;
> FLOAT | dist;

> Principal parameters

> id | - Local identity
> ref | - Identity of original line
> dist | - Parallell distance, positiv value =>right side, neg. value =>left side

> Optional parameters

> None. |

> Attributes

> PEN | - Pen or colour number
> LEVEL | - Level number
> BLANK | - Visible(0) or invisible(1)
> LFONT | - Solid(0), dashed(1) or centerline(2)
> LDAHL | - Dashlength
> WIDTH | - Linewidth

> Examples
> lin_offs(#5,#3,-75);
> Creates a new line #5 parallel to an old line #3 at the parallell distance of 75. The minus sign on 75 indicates that the new line is located on the left side of the old line instead of the right side.
> Comment
> In a 3D module the resulting line is restricted to the XY-plane of the active coordinate system. If the original line is not in the active XY-plane then a temporary copy projected along the Z-axis onto the active XY-plane is used instead.

VARKON Homepage | Index